#include <OPaC/datarep.h>
#include <OPaC/filebrowser.h>
#include <OPaC/new.h>
#include <OPaC/objectbrowser.h>
#include <OPaC/scroller.h>
#include <OPaC/window.h>

void
OpenFileBrowser ()
{
	OPFileBrowserRef   fb = OP_NEW (OPFileBrowser);
	OPObjectBrowserRef ob = OP_NEW (OPObjectBrowser);
	OPWindowRef window = OP_NEW (OPWindow);
	
	window->SetOrigin (420, 20);
	window->SetSize (390, 155);
	window->SetStyle (OP_WIN_TITLE | OP_WIN_MOVE_OK);
	window->SetTitle ("File browser");
	
	fb->Initialise ("D:/");
	ob->SetParent (window);
	ob->SetOrigin (5, 5);
	ob->SetSize (380, 120);
	ob->EnableIcons (FALSE);
	ob->SetPaneMode (OP_PANE_MODE_ICON_SMALL);
	ob->Initialise (2, fb->ReturnProvider (), "OPSelGrid");
	
	OPScrollerRef   scroller = OP_NEW (OPScroller);
	OPDataReportRef datarep1 = OP_NEW (OPDataReport);
	OPDataReportRef datarep2 = OP_NEW (OPDataReport);
	OPDataReportRef datarep3 = OP_NEW (OPDataReport);
	
	scroller->SetParent (window);
	scroller->Initialise (5, 130, 380, TRUE);
	
	datarep1->Initialise (ob, "VisibleValueChanged", "VisibleValue", scroller, "VisibleValue", "Display");
	datarep2->Initialise (ob, "VisibleRatioChanged", "VisibleRatio", scroller, "VisibleRatio", "Display");
	datarep3->Initialise (scroller, "Scroll", "VisibleValue", ob, "VisibleValue", "Display");
	
	window->Open ();
	window->Display ();
	window->ShowNormal ();
}


